package cn.iocoder.yudao.framework.common.util.object;

import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * {@link cn.iocoder.yudao.framework.common.pojo.PageParam} 工具类
 *

 */
public class PageUtils {

    public static int getStart(PageParam pageParam) {
        return (pageParam.getPageNo() - 1) * pageParam.getPageSize();
    }

    /**
     * 根据当前页面，判断是否还有下一页
     * @param total
     * @param pageParam
     * @return
     */
    public static boolean hasNextPage(int total, PageParam pageParam) {
        int totalPages = (total + pageParam.getPageSize() - 1) / pageParam.getPageSize();
        return pageParam.getPageNo() < totalPages;
    }

}
